%define debug_package %{nil}
%global github_name envycontrol
%global _description\
EnvyControl - now on RHEL and Friends \
\
EnvyControl is a program aimed to provide an easy way to switch GPU modes on Nvidia Optimus systems (i.e laptops with hybrid Intel + Nvidia or AMD + Nvidia graphics configurations) under Linux.


Name:           python-%{github_name}
Version:        3.5.1
Release:        1
Summary:        EnvyControl is a program aimed to provide an easy way to switch GPU modes on Nvidia Optimus systems

License:        MIT
URL:            https://github.com/bayasdev
Source0:        %{url}/%{github_name}/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch


%description %_description


%package -n python3-%{github_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-wheel 
Requires:       systemd-udev
Requires:       xrandr
Requires:       nvidia-persistenced

%description -n python3-%{github_name}
%_description

%prep
%autosetup -p1 -n %{github_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{github_name}

%files -n python3-%{github_name} -f %{pyproject_files}
%{_bindir}/envycontrol
%doc README.md
%license LICENSE

%changelog
* Aug 25 2024 thonkdifferent - 3.5.1-1
- Updated package to 3.5.1

* Aug 19 2024 bayasdev - 3.5.1
- fix: can't find gpu if was integrated in v3.4.0

* Aug 17 2024 bayasdev - 3.5.0
- Added a note to the README 
- Update README with list of files that may need to be removed manually 
- Add an Enterprise Linux 9 repo
- Added blacklist i2c_nvidia_gpu from system76-power
- Support for OSTREE-based distributions

* Fri Jul 26 2024 ThonkDifferent - 3.4.0-2
- Added python3-wheel as build dependency
- Updated description
* Wed Mar 06 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.4.0-1
- Remove flake.lock
- Update flake.nix to v3.4.0
- Add transparent caching, --cache-create, --cache-delete and --cache-q… (#155)
- Update repo URL in Nix Flakes
- Add support for NixOs (#156)
- Add missing rebuild_initramfs() call in reset

* Tue Jan 09 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.3.1-2.git20231107
- Add nvidia-persistenced as a dependency

* Tue Nov 07 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.3.1-1.git20231107
- update README
- add help for use-nvidia-current
- add use_nvidia_current flag #144

* Tue Sep 12 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.3.0-1.git20230912
- Fixed suspend in nvidia and hybrid mode (#127)

* Mon Sep 11 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.2.0-1.git20230911
- Add info about a KDE widget (#115)
- Update README.md (#100)

* Tue Apr 25 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.2.0-1.git20230425
- Remove outdated man page

* Sat Apr 22 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.2.0-1.git20230422
- Update README with .deb package instructions
- Add instructions for Fedora

* Wed Mar 15 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.2.0-1.git20230315
- envycontrol: bump to 3.2.0
- Update EndeavourOS support (#91)

* Tue Mar 14 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.3-3.git20230314
- envycontrol: bump to 3.0.3
- fix: check all possible igpu matches

* Tue Mar 14 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.2-2.git20230314
- envycontrol: bump to 3.0.2
- fix: add missing check for display controller
- Revert "fix: improve igpu vendor detection"

* Tue Mar 14 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.1-1.git20230314
- Update issue templates
- fix: improve igpu vendor detection
- README: typo
- README: move to issue template
- Update issue templates
- README: Update

* Mon Mar 13 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-1.git20230313
- EnvyControl V3 (#90)

* Sun Mar 12 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 2.3.2-1.git20230312
- Fix xrandr script not running under lightdm
- envycontrol: Improve display manager detection
- envycontrol: Bump version to 2.3.2
- envycontrol: Check for dracut presence on EOS
- setup.py: Update
- envycontrol: Bump version to 2.3.1
- envycontrol: Add support for EndeavourOS

* Sun Feb 19 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 2.3-1.git20230115
- Init

